<?php include_once('includes/load.php'); ?>
<?php
$req_fields = array('username','password' );
validate_fields($req_fields);
$username = remove_junk($_POST['username']);
$password = remove_junk($_POST['password']);

if(empty($errors)){
  
$stat = statin($username);

if ($stat) {

$user_id = authenticate($username, $password);
  if($user_id){
    //create session with id
     $session->login($user_id);
     //Update Sign in time
     oplogin($user_id);
     $session->msg("s", "BIENVENIDO AL ASISTENTE VIRTUAL PSP");
     redirect('views/inicio/home.php',false);

  } else {
    $session->msg("d", "Contraseña incorrecta.");
    redirect('index.php',false);
  }

} else {
  $session->msg("d", "Usuario Inahilitado (Comunicar al Administrador) o el Usuario no Existe");
    redirect('index.php',false);
}
}
?>
